### Constructor

# WPEPlatform BufferSHM new

#### Declaration [src]

    WPEBufferSHM*
    wpe_buffer_shm_new (
      WPEView* view,
      int width,
      int height,
      WPEPixelFormat format,
      GBytes* data,
      guint stride
    )

#### Description [src]

Crerate a new `WPEBufferSHM` for the given parameters.

#### Parameters

`view`

  Type: `WPEView`

  A `WPEView`.

  The data is owned by the caller of the function.

`width`

  Type: `int`

  The buffer width.

`height`

  Type: `int`

  The buffer height.

`format`

  Type: `WPEPixelFormat`

  The buffer format.

`data`

  Type: `GBytes`

  The buffer data.

  The data is owned by the caller of the function.

`stride`

  Type: `guint`

  The buffer stride.

#### Return value

Type: `WPEBufferSHM`

A `WPEBufferSHM`.

The caller of the function takes ownership of the data, and is responsible for freeing it.